Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Sock_Connect Class Reference

`#include <Sock_Connect.h>`

Inheritance diagram for ACE_Sock_Connect

[legend]
List of all members.

## Static Public Methods
int | bind_port (ACE_HANDLE handle, ACE_UINT32 ip_addr = INADDR_ANY)
| Bind a new unused port to <handle>.
int | get_bcast_addr (ACE_UINT32 &bcast_addr, const ACE_TCHAR *hostname = 0, ACE_UINT32 host_addr = 0, ACE_HANDLE handle = ACE_INVALID_HANDLE)
int | get_ip_interfaces (size_t &count, ACE_INET_Addr *&addr_array)
int | count_interfaces (ACE_HANDLE handle, size_t &how_many)
ACE_HANDLE | get_handle (void)
| Routine to return a handle from which <ioctl> requests can be made. Caller must <close> the handle.

## Member Function Documentation

int ACE_Sock_Connect::bind_port ( | ACE_HANDLE handle,
| ACE_UINT32 ip_addr = INADDR_ANY )`[static]`

| Bind a new unused port to <handle>.

int ACE_Sock_Connect::count_interfaces ( | ACE_HANDLE handle,
| size_t & how_many )`[static]`

| Helper routine for get_ip_interfaces, differs by UNIX platform so put into own subroutine. perform some ioctls to retrieve ifconf list of ifreq structs.

int ACE_Sock_Connect::get_bcast_addr ( | ACE_UINT32 & bcast_addr,
| const ACE_TCHAR * hostname = 0,
| ACE_UINT32 host_addr = 0,
| ACE_HANDLE handle = ACE_INVALID_HANDLE )`[static]`

| Get our broadcast address based on our <host_addr>. If <hostname> is non-0 we'll use it to determine our IP address. If <handle> is not then we'll use this to determine our broadcast address, otherwise we'll have to create a socket internally (and free it). Returns -1 on failure and 0 on success.

ACE_HANDLE ACE_Sock_Connect::get_handle ( | void )`[static]`

| Routine to return a handle from which <ioctl> requests can be made. Caller must <close> the handle.

int ACE_Sock_Connect::get_ip_interfaces ( | size_t & count,
| ACE_INET_Addr *& addr_array )`[static]`

| Return count and array of all configured IP interfaces on this host, rc = 0 on success (count == number of interfaces else -1). Caller is responsible for calling delete [] on .

The documentation for this class was generated from the following files:

- Sock_Connect.h
- Sock_Connect.cpp